Market

Market metrics over time

POST
/v1/market/analytics/time-series

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/market/analytics/time-series" \  -H "Content-Type: application/json" \  -d '{}'
{
  "completeness": {
    "through": "2019-08-24"
  },
  "current": [
    {
      "complete": true,
      "date": "string",
      "excluded": 0,
      "measureValue": 0,
      "segments": [
        {
          "label": "string",
          "measureValue": 0,
          "unattributed": true,
          "units": 0,
          "volume": 0
        }
      ],
      "units": 0,
      "volume": 0
    }
  ],
  "forecast": {
    "asOf": "string",
    "cached": true,
    "confidence": "high",
    "horizon": 0,
    "interval": "monthly",
    "model": "string",
    "points": [
      {
        "date": "string",
        "p10": 0,
        "p50": 0,
        "p90": 0
      }
    ],
    "scenario": {
      "rate30y": [
        0
      ]
    },
    "segments": [
      {
        "confidence": "high",
        "label": "string",
        "points": [
          {
            "date": "string",
            "p10": 0,
            "p50": 0,
            "p90": 0
          }
        ],
        "support": 0
      }
    ],
    "support": 0,
    "trimmedMonths": 0
  },
  "measure": "string",
  "previous": [
    {
      "complete": true,
      "date": "string",
      "excluded": 0,
      "measureValue": 0,
      "segments": [
        {
          "label": "string",
          "measureValue": 0,
          "unattributed": true,
          "units": 0,
          "volume": 0
        }
      ],
      "units": 0,
      "volume": 0
    }
  ]
}
{
  "code": "forecast_interval",
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}
{
  "code": "forecast_interval",
  "error": "string"
}